### Method

# Clutter Actor get_position

#### Declaration [src]

    void
    clutter_actor_get_position (
      ClutterActor* self,
      gfloat* x,
      gfloat* y
    )

#### Description [src]

This function tries to “do what you mean” and tell you where the actor is, prior to any transformations. Retrieves the fixed position of an actor in pixels, if one has been set; otherwise, if the allocation is valid, returns the actor’s allocated position; otherwise, returns 0,0.

The returned position is in pixels.

Gets property | `Clutter.Actor:position`

#### Parameters

`x`

  Type: `gfloat*`

  Return location for the X coordinate, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`y`

  Type: `gfloat*`

  Return location for the Y coordinate, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.